Bundled Eclipse Compiler version?

What version of the Eclipse compiler is bundled with Intellij 15.x?

Reason I ask is that there is a bug in the Eclipse compiler (it doesn't follow the annotation processing spec apparently) that is supposed to be fixed in Eclipse 4.5.  I'm seeing this buggy behaviour in Intellij when using the Eclipse compiler.

2 comments
Comment actions Permalink

Hi Christopher,
Thanks for the information. We'll update the bundled version in 15.0x updates. Meanwhile you can replace the corresponding ecj-4.4.jar in IDEA distribution with the one that works for you.

0
Comment actions Permalink

Current bundled ecj version is 4.4. Upgrade to version 4.5 seems to be problematic at the moment, because it is compiled with bytecode target level 1.7, but all classes used in IDEA must be 1.6-compatible. So for now we can upgrade bundled ecj version to v4.4.2, and as soon as IDEA codebase switches to higher language level, we'll be able to bundle the latest ecj version.

Still, if you run IDEA on java 7 or java 8, you can safely replace the ecj-*.jar in IDEA distribution with the one you need.

0

Please sign in to leave a comment.